---
features:
  secondary:
  - name: HTTP push mirroring API
    available_in: [core, starter, premium, ultimate]
    gitlab_com: true
    documentation_link: https://docs.gitlab.com/ee/api/remote_mirrors.html
    reporter: jramsay
    stage: create
    categories: [Source Code Management]
    issue_url: https://gitlab.com/gitlab-org/gitlab/issues/24189
    description: |
      Push mirroring allows you to automatically push updates from your Git repository to copies stored elsewhere. Mirroring is easily configured from the project settings, but if it needs to be configured for hundreds of projects this is impractical. The new Remote Mirrors API solves this by allowing push mirroring over HTTP to be configured using the API.

      Thank you [Rajendra Kadam](https://gitlab.com/raju249) for your [contribution](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/25825)!
